Page MenuHomePhabricator

Preferences/Notification, Save button stays disable when editing Block list
Closed, ResolvedPublic3 Story Points

Description

On Meta if you have any blacklisted usernames, when you remove one the Save button stays disabled.

On Meta

  1. Log in
  2. Go to preferences -> notifications
  3. At the end of the page (Block List) add a random username to the list. (skip to step 5 if you already have one or more here)
  4. Save
  5. Delete a username from the block list
  6. Try to save

Related Objects

StatusAssignedTask
Resolvedmatmarex
Resolveddbarratt
Resolved jmatazzoni
Resolveddbarratt
ResolvedCatrope
DuplicateNone
Resolved Mattflaschen-WMF
ResolvedTBolliger
ResolvedTBolliger
ResolvedNone
ResolvedTBolliger
Resolveddbarratt
Resolveddbarratt
Resolveddbarratt
ResolvedJohan
OpenNone
ResolvedMooeypoo

Event Timeline

dmaza created this task.Aug 23 2017, 7:00 PM
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptAug 23 2017, 7:00 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Etonkovidova added a subscriber: Etonkovidova.EditedAug 23 2017, 7:13 PM

The issue is present in betalabs.
It seems that the 'Save' button does not become active when a user is deleted from the Block list ('X' is clicked). Deleting a user from the list and then clicking somewhere outside on the page makes the 'Save' button active again.

Adding users does not have the issue - as soon as a user makes a selection from the list of suggestion in the Block list area, 'Save' button becomes active.

Another usability issue:

  • if a username is typed (not selected from the list), the 'Save' button is active and can be clicked, but the username will not be saved.
  • if a non-existing username is typed, the 'Save' button is active and can be clicked, but the user name is not saved. In this case, the message to the user, e.g. "the entered username does not exists" will be helpful.
Aklapper renamed this task from Peferences/Notification, Save button stays disable when editing Block list to Preferences/Notification, Save button stays disable when editing Block list .Aug 24 2017, 11:23 AM

Another usability issue:

  • if a username is typed (not selected from the list), the 'Save' button is active and can be clicked, but the username will not be saved.
  • if a non-existing username is typed, the 'Save' button is active and can be clicked, but the user name is not saved. In this case, the message to the user, e.g. "the entered username does not exists" will be helpful.

added to T174485: UsersMultiselectWidget should throw error if unselected text is present onSubmit

dbarratt set the point value for this task to 3.Aug 31 2017, 4:49 PM
dbarratt claimed this task.Sep 3 2017, 10:14 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 4) board.
dbarratt removed dbarratt as the assignee of this task.Sep 4 2017, 4:40 PM
dbarratt moved this task from In progress to Ready on the Anti-Harassment (AHT Sprint 4) board.
dbarratt added a subscriber: dbarratt.
dbarratt claimed this task.Sep 4 2017, 10:14 PM
dbarratt moved this task from Ready to In progress on the Anti-Harassment (AHT Sprint 4) board.

Change 375932 had a related patch set uploaded (by Dbarratt; owner: Dbarratt):
[mediawiki/core@master] Enable save button when removing item from UsersMultiselectWidget list

https://gerrit.wikimedia.org/r/375932

Change 375932 merged by jenkins-bot:
[mediawiki/core@master] Enable save button when removing item from UsersMultiselectWidget list

https://gerrit.wikimedia.org/r/375932

dbarratt closed this task as Resolved.Sep 5 2017, 4:18 PM
dbarratt moved this task from Code Review to Done on the Anti-Harassment (AHT Sprint 4) board.
Restricted Application added a project: Growth-Team. · View Herald TranscriptOct 10 2018, 12:56 PM